# Deprecated API

## Contents

- Interfaces
- Fields
- Methods

Interfaces
org.eclipse.ecf.discovery.IDiscoveryContainerAdapter: Use IDisocveryLocator and IDisocveryAdvertiser instead
org.eclipse.ecf.discovery.service.IDiscoveryService: use IDiscoveryLocator and IDiscoveryContainer instead
org.osgi.service.remoteserviceadmin.EndpointListener: As of 1.1. Replaced by EndpointEventListener.

Fields
org.eclipse.ecf.filetransfer.IRemoteFileInfo.NONE
org.eclipse.ecf.remoteservice.Constants.SERVICE_CONNECT_ID
org.eclipse.ecf.remoteservice.Constants.SERVICE_CONNECT_ID_NAMESPACE
org.eclipse.ecf.remoteservice.Constants.SERVICE_CONTAINER_FACTORY_NAME
org.eclipse.ecf.remoteservice.Constants.SERVICE_FILTER_PROPERTY
org.eclipse.ecf.remoteservice.Constants.SERVICE_IDFILTER_ID
org.eclipse.ecf.remoteservice.Constants.SERVICE_IDFILTER_NAMESPACE
org.eclipse.ecf.remoteservice.Constants.SERVICE_OBJECTCLASS

Methods
org.eclipse.ecf.core.util.OSGIObjectInputStream.readLine()
org.eclipse.ecf.discovery.identity.IServiceID.getServiceName(): Use `IServiceInfo.getServiceName()` instead